Loading...
Searching...
No Matches
CTaskInfo Class Reference
Inheritance diagram for CTaskInfo:
[legend]

## Public Member Functions

| CTaskInfo (COldObject *object)
bool | EventProcess (const Event &event) override
Error | Start (const char *name, float value, float power, bool send)
Error | IsEnded () override
bool | Abort () override
CExchangePost * | FindExchangePost (float power)
Public Member Functions inherited from CForegroundTask
| CForegroundTask (COldObject *object)
bool | IsBackground () override final
| Returns true if this task is meant to be run as a background task.
bool | IsPilot () override
| Returns true if you can control the robot while the task is executing.
Public Member Functions inherited from CTask
| CTask (COldObject *object)
virtual bool | IsBusy ()

## Protected Attributes

float | m_progress = 0.0f
float | m_speed = 0.0f
float | m_time = 0.0f
bool | m_error = false
Protected Attributes inherited from CTask
Gfx::CEngine * | m_engine = nullptr
Gfx::CLightManager * | m_lightMan = nullptr
Gfx::CParticle * | m_particle = nullptr
Gfx::CTerrain * | m_terrain = nullptr
Gfx::CWater * | m_water = nullptr
Gfx::CCamera * | m_camera = nullptr
CRobotMain * | m_main = nullptr
CSoundInterface * | m_sound = nullptr
COldObject * | m_object = nullptr
CProgrammableObject * | m_programmable = nullptr
CMotion * | m_motion = nullptr
CPhysics * | m_physics = nullptr

## Member Function Documentation

## EventProcess()

bool CTaskInfo::EventProcess | ( | const Event & | event | ) |

override virtual

Reimplemented from CTask.

## IsEnded()

Error CTaskInfo::IsEnded | ( |  | ) |

override virtual

Reimplemented from CTask.

## Abort()

bool CTaskInfo::Abort | ( |  | ) |

override virtual

Reimplemented from CTask.

The documentation for this class was generated from the following files:

- src/object/task/taskinfo.h
- src/object/task/taskinfo.cpp